import request from '@/utils/request'

// 查询马拉松报名用户列表列表
export function listLzydMarathonUser(query) {
  return request({
    url: '/system/LzydMarathonUser/list',
    method: 'get',
    params: query
  })
}

// 查询马拉松报名用户列表详细
export function getLzydMarathonUser(id) {
  return request({
    url: '/system/LzydMarathonUser/' + id,
    method: 'get'
  })
}

// 新增马拉松报名用户列表
export function addLzydMarathonUser(data) {
  return request({
    url: '/system/LzydMarathonUser',
    method: 'post',
    data: data
  })
}

// 修改马拉松报名用户列表
export function updateLzydMarathonUser(data) {
  return request({
    url: '/system/LzydMarathonUser',
    method: 'put',
    data: data
  })
}

// 删除马拉松报名用户列表
export function delLzydMarathonUser(id) {
  return request({
    url: '/system/LzydMarathonUser/' + id,
    method: 'delete'
  })
}

// 导出马拉松报名用户列表
export function exportLzydMarathonUser(query) {
  return request({
    url: '/system/LzydMarathonUser/export',
    method: 'get',
    params: query
  })
}